#include<bits/stdc++.h>
#define ll long long
using namespace std;


int main()
{
   ll n,q;
   cin>>n>>q;
   for(ll i=0;i<n;i++)
   {
       int x;
       cin>>x;

   }
   for(ll i=0;i<q;i++)
   {
       int l,r;
       cin>>l>>r;
   }
   for(int i=0;i<q;i++)
   {

       cout<<1<<endl;
   }

}